Retrieve wallet statement
curl --request GET \
--url https://developersandbox-api.flutterwave.com/wallets/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://developersandbox-api.flutterwave.com/wallets/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developersandbox-api.flutterwave.com/wallets/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"cursor": {
"next": "MjAyNC0xMS0yN1QxMjozMjozNC42MjBa",
"previous": "MjAyNC0xMS0yOVQwMjoxMDo1My45OTla",
"limit": 10,
"total": 1000,
"has_more_items": true
},
"transactions": [
{
"amount": {
"value": 123,
"currency": "NGN"
},
"balance": {
"currency": "NGN",
"before": 123,
"after": 123
},
"remarks": "<string>",
"sent_amount": {
"value": 123,
"currency": "NGN"
},
"transaction_date": "<string>",
"transfer": {
"id": "trf_yuK89vb",
"type": "bank",
"reference": "<string>",
"reversal": {
"reversal_datetime": "2023-11-07T05:31:56Z",
"initial_status": "SUCCESSFUL",
"reconciliation_status": "REVERSED"
},
"narration": "Salary payment for January",
"source_currency": "NGN",
"destination_currency": "EUR",
"amount": {
"value": 3000.44
},
"fee": {
"currency": "NGN",
"value": 10.35
},
"debit_information": {
"currency": "NGN",
"actual_debit_amount": 100.35,
"rate_used": 100.35,
"vat": 100.35
},
"payment_information": {
"proof": "11000224070317345400001414441712312381"
},
"retry": {
"parent_id": "trf_HUQUYb1Sp5CkiIJFebk1Z",
"parent_reference": "flw_z882wFGMjc"
},
"duplicate": {
"parent_id": "trf_HUQUYb1Sp5CkiIJFebk1Z",
"parent_reference": "flw_z882wFGMjc"
},
"disburse_option": {
"date_time": "<string>"
},
"callback_url": "https://example.com/flw/callback",
"provider_response": {
"code": "<string>",
"message": "DISBURSE FAILED: Insufficient wallet balance"
},
"recipient": {
"bank": {
"account_number": "<string>",
"code": "<string>",
"branch": "<string>",
"name": "<string>",
"routing_number": "<string>",
"swift_code": "<string>",
"sort_code": "<string>"
},
"id": "<string>",
"type": "bank",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"currency": "NGN",
"national_identification": {
"identifier": "FLY5869798686",
"expiration_date": "2029-07-08"
},
"phone": {
"country_code": "234",
"number": "08012345678"
},
"date_of_birth": "<string>",
"email": "hi@flutterwave.com",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
}
},
"sender": {
"id": "<string>",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"national_identification": {
"identifier": "FLY5869798686",
"expiration_date": "2029-07-08"
},
"phone": {
"country_code": "234",
"number": "08012345678"
},
"date_of_birth": "<string>",
"email": "cornelius@gmail.com",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
}
},
"meta": {},
"created_datetime": "2023-11-07T05:31:56Z"
}
}
]
}
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}Wallets
Retrieve wallet statement
Retrieve wallet statement
GET
/
wallets
/
statement
Retrieve wallet statement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Query Parameters
Example:
"MjAyNC0xMS0yN1QxMjozMjozNC42MjBa"
Example:
"MjAyNC0xMS0yOVQwMjoxMDo1My45OTla"
Length of data returned. Defaults to 10.
Required range:
10 <= x <= 50The start date and time for a period. This parameter is used in conjunction with the 'to' parameter to define a time range. The value should be in ISO 8601 format.
The end date and time for a period. This parameter is used in conjunction with the 'from' parameter to define a time range. The value should be in ISO 8601 format.
The currency code used in the query ISO 4217 currency code.
Available options:
AED, AFN, ALL, AMD, ANG, AOA, AQD, ARS, AUD, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUP, CVE, CYP, CZK, DJF, DKK, DOP, DZD, ECS, EEK, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GGP, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MTL, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SKK, SLL, SOS, SRD, STD, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEF, VND, VUV, XAF, XCD, XOF, XPF, YER, ZAR, ZMK, ZWD, ZMW Example:
"NGN"
Was this page helpful?
⌘I